MP4(3)

NAME

MP4AddRtpImmediateData - Add immediate data to an RTP packet

SYNTAX

#include <mp4.h>

bool MP4AddRtpImmediateData(
    MP4FileHandle hFile,
    MP4TrackId hintTrackId,
    u_int8_t* pBytes,
    u_int32_t numBytes
);

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

hintTrackId
    Specifies the hint track to which the operation applies.

pBytes
    Specifies a pointer to the immediate data that should be included in the current RTP packet.

numBytes
    Specifies the length in bytes of the immediate data that should be included in the current RTP packet.

RETURN VALUES

Upon success, true (1). Upon an error, false (0).

DESCRIPTION

MP4AddRtpImmediateData adds immediate data to the current pending RTP packet. Typically, this is used to add RTP payload specific headers to RTP packets. Note that the size of a block of immediate data is limited to 14 bytes. But multiple immediate data blocks can be added if more space is needed.

SEE ALSO

MP4(3) MP4AddRtpPacket (3) MP4AddRtpImmediateData (3)